---
layout: post
title: PicoCTF - MOD 26
date: '2022-10-12 10:29:32 +0800'
categories: [CTF, PicoCTF]
tags: [ctf,picoctf]
math: true
libraries:
  - mathjax
math: true
math: true
---

# Description

Cryptography can be easy, do you know what ROT13 is?

The flag given: `cvpbPGS{arkg_gvzr_V'yy_gel_2_ebhaqf_bs_ebg13_uJdSftmh}`

# Process

Using an [online tool](http://practicalcryptography.com/ciphers/rot13-cipher/) for ROT13, we can decode the message to get the flag.

Doing a ROT13 Decryption of `cvpbPGS{arkg_gvzr_V'yy_gel_2_ebhaqf_bs_ebg13_uJdSftmh}`, I get the flag: `picoctf{next_time_i'll_try_2_rounds_of_rot13_hwqfsgzu}`

# Flag

```
picoctf{next_time_i'll_try_2_rounds_of_rot13_hwqfsgzu}
```

{: file="flag.txt" }

